<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<META Http-Equiv="Cache-Control" Content="no-cache">
<META Http-Equiv="Pragma" Content="no-cache">
<META Http-Equiv="Cache" Content="no store">
<META Http-Equiv="Expires" Content="0">
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Maracuja - Personnalisation des &eacute;tats impressions</title>
</head>
<link rel="stylesheet" href="http://www.univ-lr.fr/apps/support/maracuja/maracuja.css" type="text/css">
</head>
<style>
<!--


.alertNoteTitle, .noteTitleAlert  {
	border: 1px solid #AC0000;
	background-color: #AC0000;
	color: White;
	padding: 1pt 3pt 1pt 3pt;
}

.alertTitleContents, .noteContentsAlert {
	border: 1px solid #AC0000;
	background-color: #FFECEC;
	color: Black;
	padding: 2pt;
}

.note {
	font-size: 10px;
}

.minitoc {
	border-left: 2px solid #763000;
	border-top: 2px solid #763000;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 8pt;
}

.minitocTitle {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	font-size: 8pt;
}

.versionTitle {
	font-weight: bold;
	background: #e2dacc;
	padding: 1px 2px 1px 2px;
}

.versionContents {
	padding: 1px 2px 1px 10px;
}

.code {
	background: #DDDDDD;
	font-family: "Courier New", Courier, monospace;
	font-size: 12px;
	padding: 3px;
}

.tableHeaderCell {
	background: #000066;
	color:#FFFFFF;
	font-weight: bold;
}

.tableContentCell {
	background-color:#E1DEEF;
	color:#000000;
}

.warning {
	background: #FF0000;
	font-family: Arial;
	color: #FFFFFF;
	font-size: 14px;
	font-weight: bold;
	padding: 3px;
}


.header {
	background: #f6f4ee;
	font-weight: bold;
}

.box {
	border: 1px solid #e2dacc;
	background: #f6f4ee;
}

.boxContents {
	background-color: #F9F5EF;
	background: #F9F5EF;
}

.boxTitle {
	background-color: #d1c2ad;
	background: #d1c2ad;
}

.listboxLine, .listboxLineEven {
	background-color: #FEFBF8;
	background: #FEFBF8;
}

.listboxLineOdd {
	background-color: #F8FEF8;
	background: #F8FEF8;
}	
-->	
</style>
<body BGCOLOR="#ffffff" LINK="#000099">
	<h1>Maracuja - Personnalisation des &eacute;tats impressions </h1>	
	<p><i>Version du 27/01/2005<br>
		CRI - Université de La Rochelle
            <br>
            rodolphe.prin@univ-lr.fr</i></p>
	<hr>
	<h2>Le syst&egrave;me d'impression utilis&eacute; dans Maracuja</h2>
	<p>Maracuja utilise la technologie JasperReports pour g&eacute;n&eacute;rer les &eacute;tats d'impressions ( <a href="http://jasperreports.sourceforge.net/" target="_blank">http://jasperreports.sourceforge.net/</a>). Les &eacute;tats sont cr&eacute;&eacute;s avec le format .jrxml et compil&eacute;s en .jasper. Lors de l'ex&eacute;cution de l'application, l'&eacute;tat est rempli &agrave; partir d&quot;une source de donn&eacute;es xm ou bien &agrave; partir du r&eacute;sultat d'une requ&ecirc;te SQL. Une fois l'&eacute;tat rempli, il est export&eacute; au format PDF.   </p>
	<p>&nbsp;</p>
	<h2>Personnalisation des &eacute;tats</h2>
	<p>Maracuja est lvr&eacute; avec des &eacute;tats pr&eacute;-d&eacute;finis, vous pouvez personnaliser chacun de ces &eacute;tats si vuos le souhaitez. Pour cela, vous devez :</p>
	<ul>
	  <li>modifier le fichier .jrxml, directement avec un &eacute;diteur de texte ou avec un outil de type IReport (<a href="http://ireport.sourceforge.net/" target="_blank">http://ireport.sourceforge.net/</a> ) </li>
	  <li>compiler le .jrxml pour obtenir un .jasper</li>
<li>Installer le fichier.jasper </li>
</ul>
	<p>Pour tester les &eacute;tats, vous pouvez r&eacute;cup&eacute;rer une source de donn&eacute;es xml en ex&eacute;cutant l'&eacute;tat par d&eacute;faut fourni par Maracuja :regardez sur les logs du serveur l'emplacement o&ugrave; est enregistr&eacute; le fichier xml g&eacute;n&eacute;r&eacute; lors de l'ex&eacute;cution de l'&eacute;tat, vous pouvez l'utiliser comme source de donn&eacute;es. </p>
	<p>&nbsp;</p>
	<h2>Mise en place des &eacute;tats personnalis&eacute;s</h2>
	<p>Pour installer un &eacute;tat personnalis&eacute;, au lieu de remplacer le fichier contenu dans Maracuja.woa/Contents/Resources/, saisissez un enregistrement dans la table MARACUJA.REPORT. Par exemple, si vous personnalisez le fichier &quot;<strong>BordereauCheque.jasper</strong>&quot;, saisissez un enregistrement du type suivant:</p>
	<p>&nbsp; </p>
	<table width="80%"  border="0" cellpadding="5" cellspacing="2">
      <tr class="tableHeaderCell">
        <td>Rep_id</td>
        <td><div align="center">Rep_nom</div></td>
        <td>Rep_location</td>
      </tr>
      <tr class="tableContentCell">
        <td><strong>BordereauCheque.jasper</strong></td>
        <td><div align="center">Bordereau de ch&egrave;ques </div></td>
        <td>/maracuja/mesetatsperso/BordereauCheque.jasper</td>
      </tr>
    </table>
	<p>&nbsp;</p>
	<p>Lors de l'impression, Maracuja regarde si un enregistrement est pr&eacute;sent dans cette table, et si c'est le cas, charge cet &eacute;tat au lieu de celui fourni par par d&eacute;faut. </p>
	<p>&nbsp;</p>
	<p>&nbsp;</p>
	<p>&nbsp;</p>
</body>

